Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.nds
Class NdsStream

    java.lang.Object
      |
      +--com.novell.service.nds.NdsStream

public class NdsStream
extends java.lang.Object
implements NdsAttributeValue, java.lang.Cloneable, java.io.Serializable

Provides access to values of the NdsStream attribute. Streams are files of information used in attributes such as login scripts. The data stored in a stream file has no syntax enforcement of any kind. It is purely arbitrary data, defined by the application that created and uses it. You should be aware that NdsStream attributes use a non-buffered input stream, thus, you should do your own buffering in order to improve efficiency and reduce network traffic.

Any attribute defined with this syntax is single-valued. When you try to read an attribute of this type or search on it, the value behaves like an empty string. That is, when you return from read or search, it returns an empty octet string. When you try to add a value, the request is ignored.

Matching Rules: (none)

See Also:
  `NdsSyntaxId`

Constructor Summary
`NdsStream(java.io.InputStream streamToWrite)` Constructs a Stream object (attribute value) based on the streamToWrite parameter.

Method Summary
`boolean` | `approximate(java.lang.Object anObject)` Compares two Objects using the approximate matching rule.
`java.lang.Object` | `clone()` Creates a new object of the same class as this object.
`int` | `compareTo(java.lang.Object anObject)` Compares two objects for ordering, or compares two strings lexicographically.
`boolean` | `equals(java.lang.Object anObject)` Compares two Objects for equality.
`java.io.InputStream` | `getInputStream()` Returns the InputStream object stored in the NDS attribute.
`int` | `getNdsSyntaxId()` Returns the int that represents the NDS syntax ID.
`boolean` | `supportsMatchingRules(int matchingRules)` Checks to see if this object supports the specified matching rules.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NdsStream

    public NdsStream(java.io.InputStream streamToWrite)

  Constructs a Stream object (attribute value) based on the streamToWrite parameter. The stream attribute value is specifically set up for writing the contents of streamToWrite out to the attribute value when the attribute is set.

  When this stream value is passed to modifyAttributes() an exception can be thrown in the stream transfer process. When an exception is thrown in the middle of the stream transfer, the input stream will be closed without fully reading its contents, and the attribute value will be assigned to the AttributeModificationException's array of uncompleted attribute modification items.

  Parameters:
    `streamToWrite` - The file of information that will be written to an NDS InputStream object.

Method Detail

### compareTo

    public int compareTo(java.lang.Object anObject)
                  throws java.lang.Exception

  Compares two objects for ordering, or compares two strings lexicographically. The compareTo method does not apply to the Stream syntax because this syntax does not support the ordering and substrings matching rules.

### equals

    public boolean equals(java.lang.Object anObject)

  Compares two Objects for equality. The equals method compares this object value with the value of the reference object in the anObject parameter. The equals method does not apply to the Streams syntax because this syntax does not support the equality matching rule.
  Overrides:
    equals in class java.lang.Object

### approximate

    public boolean approximate(java.lang.Object anObject)
                        throws java.lang.Exception

  Compares two Objects using the approximate matching rule. The approximate method does not apply to the Stream syntax because this syntax does not support the approximate equals matching rule.
  Specified by:
    approximate in interface NdsAttributeValue

### getNdsSyntaxId

    public int getNdsSyntaxId()

  Returns the int that represents the NDS syntax ID.
  Specified by:
    getNdsSyntaxId in interface NdsAttributeValue
  Returns:
    The syntax ID as an int.

### supportsMatchingRules

    public boolean supportsMatchingRules(int matchingRules)

  Checks to see if this object supports the specified matching rules. The Stream syntax supports no matching rules.
  Specified by:
    supportsMatchingRules in interface NdsAttributeValue
  Parameters:
    `matchingRules` - The set of matching rules to check.
  Returns:
    A Boolean set to TRUE if the matching rules for this object are equal to the matchingRules parameter.

### clone

    public java.lang.Object clone()

  Creates a new object of the same class as this object. It then initializes each of the new object's fields by assigning them the same value as the corresponding fields in this object. No constructor is called.
  Returns:
    A clone of this object instance containing the cloned syntax.

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Returns the InputStream object stored in the NDS attribute.
  Returns:
    The InputStream object.
  Throws:
    java.io.IOException -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD